
D4Science Infrastructure - Task #11047

Install PhotoScan license server on dlib8x.dom0.research-infrastructures.eu (rename the host)

Jan 25, 2018 03:09 PM - Gianpaolo Coro

Status: Closed Start date: Mar 07, 2018

Priority: Normal Due date:  

Assignee: _InfraScience Systems Engineer % Done: 100%

Category: High-Throughput-Computing Estimated time: 0.00 hour

Target version: Data Processing   

Infrastructure: Production   

Description

Software can be downloaded from here:

https://agisoft.freshdesk.com/support/solutions/articles/31000133073-floating-license-activation-procedure

it should be sufficient to run the "rlm" executable and open port 5054. The server should restart when the machine reboots. I will later

configure it through a http interface.

The server should be visible to the CNR and Garr networks, included "our" office computers (in order to access the http admin

interface).

Subtasks:

Task # 11395: Reinstall dlib8x.dom0.research-infrastructures.eu changing its hostname. ... Closed

History

#1 - Jan 26, 2018 06:36 PM - Andrea Dell'Amico

- Status changed from New to In Progress

#2 - Jan 26, 2018 07:26 PM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 0 to 100

We now have a working role and a playbook and the software has been installed, but there's a huge problem:

01/26 19:17 (rlm) RLM License Server Version 12.0BL2-p2

    Copyright (C) 2006-2015, Reprise Software, Inc. All rights reserved.

01/26 19:17 (rlm) License server started on access

01/26 19:17 (rlm) Server architecture: x64_l1

01/26 19:17 (rlm) License files:

01/26 19:17 (rlm)     /opt/agisoft/photoscan_lm/agisoft-rlm-server/agisoft.lic

01/26 19:17 (rlm)

01/26 19:17 (rlm) Web server starting on port 5054

01/26 19:17 (rlm) Using TCP/IP port 5053

01/26 19:17 (rlm) ... adding UDP/IP port 5053

01/26 19:17 (rlm) Starting ISV server agisoft on port 60170

01/26 19:17 (agisoft) RLM License Server Version 12.0BL2-p2 for ISV "agisoft"

01/26 19:17 (agisoft) Settings from RLM Version 12.0BL2 for ISV "agisoft"

01/26 19:17 (agisoft) Server architecture: x64_l1

    Copyright (C) 2006-2015, Reprise Software, Inc. All rights reserved.

    RLM contains software developed by the OpenSSL Project

    for use in the OpenSSL Toolkit (http://www.openssl.org)

    Copyright (c) 1998-2008 The OpenSSL Project. All rights reserved.

    Copyright (c) 1995-1998 Eric Young (eay@cryptsoft.com) All rights reserved.

01/26 19:17 (agisoft) This server does not run on virtual machines, exiting

01/26 19:17 (agisoft) This server does not run on virtual machines, exiting

01/26 19:17 (rlm)

01/26 19:17 (rlm) agisoft initialization error: 5, not restarting

01/26 19:17 (rlm)

01/26 19:17 (rlm) The ISV server is running on the wrong host.
01/26 19:17 (rlm)

01/26 19:17 (rlm) This can happen if:

01/26 19:17 (rlm)  The hostid of this machine doesn't match any license file

01/26 19:17 (rlm)  - or -

01/26 19:17 (rlm)  You are attempting to run the server on a virtual machine

 We could dedicate an old machine to it, but it seems a very stupid behaviour to me. The web interface is active, you can always try and see if the

license manager works despite that message.

#3 - Jan 26, 2018 07:38 PM - Andrea Dell'Amico

To start/stop the service, or to verify its status you have to run, as root:

start rlm

stop rlm

status rlm

 The service run as an unprivileged user, so stick to those commands.

#4 - Jan 28, 2018 09:03 PM - Gianpaolo Coro

Unfortunately it does not work and this depends on the fact we are using a VM. Yes, this is stupid behaviour. One alternative would be that I keep it

running on my Desktop machine, but I don't trust my office plugs very much...what do you suggest?

#5 - Jan 30, 2018 02:13 PM - Andrea Dell'Amico

Gianpaolo Coro wrote:

Unfortunately it does not work and this depends on the fact we are using a VM. Yes, this is stupid behaviour. One alternative would be that I

keep it running on my Desktop machine, but I don't trust my office plugs very much...what do you suggest?

 In no way we should rely on services running on desktops or on any hardware outside our data center. We can put it on one of the to-be-dismissed

SUN V20Z servers.

@tommaso.piccioli@isti.cnr.it is it OK for you? 

#6 - Jan 30, 2018 02:13 PM - Andrea Dell'Amico

- Status changed from Feedback to In Progress

- % Done changed from 100 to 60

#7 - Jan 30, 2018 08:21 PM - Andrea Dell'Amico

Tommaso is proposing to reuse dlib8x.dom0.research-infrastructures.eu. Can it be reinstalled with a more modern distribution so that we can keep up

with the updates? virtualisation is not needed.

#8 - Feb 01, 2018 01:13 AM - Andrea Dell'Amico

- Status changed from In Progress to Feedback

- % Done changed from 60 to 100

Andrea Dell'Amico wrote:

Tommaso is proposing to reuse dlib8x.dom0.research-infrastructures.eu. Can it be reinstalled with a more modern distribution so that we can

keep up with the updates? virtualisation is not needed.

 The license manager is running on dlib8x.dom0.research-infrastructures.eu. next week we'll need at least a couple of hours of downtime to reinstall

the machine with a modern distribution.

#9 - Feb 01, 2018 09:43 AM - Gianpaolo Coro

The server needs to write a file on the local file system, could you give me a path where it has writing rights?

#10 - Feb 01, 2018 09:50 AM - Gianpaolo Coro

I also need to get the /tmp/licence.lic file. Overall, may I have access to the machine please?

#11 - Feb 01, 2018 05:52 PM - Tommaso Piccioli

PhotoScan license server is again on Gianpaolo's pc, there is some problem on linux.

rlm boot startup disabled on dlib8x
#12 - Feb 17, 2018 01:33 PM - Andrea Dell'Amico

- Status changed from Feedback to Paused

What kind of problem, anyway? Can it be related to the relatively old distribution installed?

#13 - Feb 19, 2018 04:40 PM - Gianpaolo Coro

The problem I had was the following: the license server writes into OS folder it creates. These folders are unknown to me and the installation indeed

requires root privileges. I tried to use the online interface of the service, which runs using a non-root user. I asked Tommaso to grant the server

access to a number of folders I discovered while I was trying to activate the license and was getting writing privileges errors. After some attempts, my

licence went corrupted and I had to ask for another licence to the software providers who accused me of fraud. Finally, I managed to get another

licence and decided to run the licence service on my machine with admin privileges. Unfortunately, my machine is not so stable and some

experiments sometimes give error because of license service failures. Do you think it would be possible to run the license server with root privileges?

#14 - Feb 19, 2018 05:24 PM - Andrea Dell'Amico

I don't know why a license manager must run as root. But yes, we can do it. We must reinstall that server anyway, because we have to dismantle the

hypervisor configuration. @tommaso.piccioli@isti.cnr.it can you work on that? CentOS 7 perhaps, so that we start to converge on the same

distribution for the bare metal?

#15 - Feb 21, 2018 10:42 AM - Gianpaolo Coro

- Parent task set to #688

#16 - Mar 07, 2018 06:49 PM - Andrea Dell'Amico

- Subject changed from Install PhotoScan license server on access.d4science.org to Install PhotoScan license server on

dlib8x.dom0.research-infrastructures.eu (rename the host)

#17 - Mar 14, 2018 10:39 AM - Gianpaolo Coro

- Status changed from Paused to Closed
